MaillyDocs

Update a webhook endpoint

PATCH
/inbox/webhook/endpoints/{endpointId}

Omitted fields keep their current values. Use either signingSecret or rotateSecret; a generated secret is returned only once.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

endpointId*string

Webhook endpoint ID

Request Body

application/json
  1. body
url?string
active?boolean
bodyFormat?string

text / html / markdown

stripQuotes?boolean
signingSecret?string
rotateSecret?boolean
[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
endpoint*
signingSecret?string
[key: string]?unknown
curl -X PATCH 'https://api.mailly.site/inbox/webhook/endpoints/string' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "endpoint": {    "property1": null,    "property2": null  },  "signingSecret": "string",  "property1": null,  "property2": null}